# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Cmd.pm) perl(App/Cmd/Setup.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Find/Rule.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(XML/Twig.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 1.001
%define module_name Clarity-XOG-Merge
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.001
Release: alt1
Summary: Merge several Clarity XML Open Gateway (XOG) files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SC/SCHWIGON/clarity/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Merge several Clarity XOG ("XML Open Gateway") files into one

    use Clarity::XOG::Merge;
    my $merger = Clarity::XOG::Merge->new
                 ( files    => ['t/QA.xml', 't/PS.xml', 't/TJ.xml'],
                   out_file => $out_file );
    $merger->Main;

Or using the frontend tool:

    xogtool merge -i subdir_with_inputfiles -o MERGEDRESULT.xml

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO ChangeLog README
%perl_vendor_privlib/C*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 1.001-alt1
- initial import by package builder

